- [ ] Anti-Reversing
- [x] Crypto
  - [x] AES
  - [x] Base32
  - [x] Base64
  - [x] BCrypt
  - [x] ChaCha20
  - [x] Elliptic Curve
  - [x] MD5
  - [x] RC4
  - [x] ROT13
  - [x] ROT47
  - [x] SHA1
  - [x] SHA256
  - [x] SHA512
  - [x] Triple DES
  - [x] XOR
  - [x] Tests
- [ ] Environment
  - [x] Domain Info
  - [x] Environment Variables
  - [x] Groups
  - [x] Username
  - [x] Hardware Info
  - [x] OS Info
  - [ ] Tests
- [ ] Privilege Escalation
- [ ] Exec
- [ ] Files
  - [x] Create Files
  - [x] Delete Files
  - [x] List Files
  - [x] Timestomp
  - [x] File Permission
- [ ] Injection
  - [ ] DLL Injection
  - [ ] Process Hollowing
- [ ] Logging
- [ ] Misc
- [ ] Network
  - [ ] comms
    - [ ] DNS
    - [ ] HTTP
  - [ ] Utilities
  - [ ] Download
  - [ ] Upload
- [ ] Persistence
  - [ ] Registry Manipulation
  - [ ] Startup Folder
- [ ] Process
  - [ ] Process Injection
  - [ ] Process Monitoring
  - [ ] Migration?
- [ ] Reconnaissance
  - [ ] System Profiling
  - [ ] Network Mapping
  - [ ] Port Scanning
- [ ] Regex
  - [ ] Pattern Matching
- [ ] Sandbox Evasion
  - [x] UTC Timezone Check
  - [x] Check Process Names
  - [x] Click Counter
  - [x] Cursor Position
  - [x] Date trigger
  - [x] Debugging Check
  - [x] Disk Size Check
  - [x] File Path Checker
  - [x] MAC Address Check
  - [x] RAM Check
  - [x] Minimum Running processes
  - [x] Sleep Acceleration Check
  - [x] USB Count Check
  - [x] Processor Check
  - [x] Tests
- [x] Shell
  - [x] Unix Command Execution
  - [x] Windows Command Execution
    - [x] CMD
    - [x] Powershell
    - [x] Powershell with token
- [ ] Shellcode
  - [ ] Shellcode Generation
  - [ ] Shellcode Obfuscation
  - [ ] Pattern Generation
- [ ] System
  - [ ] System Shutdown/Restart
  - [ ] System Time Manipulation
  - [ ] Screenshot
- [ ] X